Classes | Functions
HanMacWrdJGraphInternal Namespace Reference

Internal: the structures of a HanMacWrdJGraph. More...

## Classes
struct | CellFormat
| a cell format in HanMacWrdJGraph More...
struct | CommentFrame
| Internal: the comment frame of a HanMacWrdJGraph. More...
struct | Frame
| Internal: the frame header of a HanMacWrdJGraph. More...
struct | FrameFormat
| a frame format in HanMacWrdJGraph More...
struct | Group
| Internal: a group of a HanMacWrdJGraph. More...
struct | Pattern
| Internal: the pattern of a HanMacWrdJGraph. More...
struct | PictureFrame
| Internal: the picture frame of a HanMacWrdJGraph. More...
struct | SeparatorFrame
| Internal: a footnote separator of a HanMacWrdJGraph. More...
struct | ShapeGraph
| Internal: the geometrical graph of a HanMacWrdJGraph. More...
struct | State
| Internal: the state of a HanMacWrdJGraph. More...
class | SubDocument
| Internal: the subdocument of a HanMacWrdJGraph. More...
struct | Table
| Internal: the table of a HanMacWrdJGraph. More...
struct | TableCell
| a table cell in a table in HanMacWrdJGraph More...
struct | TableFrame
| Internal: the table frame of a HanMacWrdJGraph. More...
struct | TextboxFrame
| Internal: the textbox frame of a HanMacWrdJGraph. More...
struct | TextFrame
| Internal: the text frame (basic, header, footer, footnote) of a HanMacWrdJGraph. More...

## Functions
std::ostream & | operator<< (std::ostream &o, TableCell const &cell)
std::ostream & | operator<< (std::ostream &o, Frame const &grph)

## Detailed Description

Internal: the structures of a HanMacWrdJGraph.

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream& HanMacWrdJGraphInternal::operator<< | ( | std::ostream & | o,
|  | TableCell const & | cell
| ) |  |

## ◆ operator<<() [2/2]

std::ostream& HanMacWrdJGraphInternal::operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |